package com.steerinfo.ems.tpmcase.service.impl;

import com.steerinfo.ems.tpmcase.mapper.TpmCaseMapper;
import com.steerinfo.ems.tpmcase.model.TPmCase;
import com.steerinfo.ems.tpmcase.service.TPmCaseService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Set;

/**
 * @author 李日量
 * @Date 2019/10/10 9:55
 * @Copyright 湖南视拓信息技术股份有限公司
 */
@Service(value = "tPmCaseService")
public class TPmCaseServiceImpl extends BaseServiceImpl<TPmCase, String> implements TPmCaseService {

    @Autowired
    private TpmCaseMapper tpmCaseMapper;

    @Override
    protected IBaseMapper<TPmCase, String> getMapper() {
        return tpmCaseMapper;
    }


    @Override
    public Set<TPmCase> getIdAndName() {
        return tpmCaseMapper.getIdAndName();
    }


	@Override
	public TPmCase getTPmCaseDef() {
		return tpmCaseMapper.getTPmCaseDef();
	}


	@Override
	public TPmCase getTPmCaseByItemId(String itemid, String timegranid) {
		return tpmCaseMapper.getTPmCaseByItemId(itemid,timegranid);
	}
}
